STP
The STP resources contain all the information about your settlement balance, including available, pending fee, and pending reconciliation amounts. Use these endpoints to review current balance KPIs and create payout transfers.
Properties
- Name
balance- Type
- object
- Description
Current STP balance.
- Name
balance.amount- Type
- integer
- Details
- example: 1000000
- Description
Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).
- Name
balance.currency- Type
- string
- Details
- example: MXN
- Description
ISO currency code.
- Name
eligible_for_payout- Type
- object
- Description
STP balance eligible for payout.
- Name
eligible_for_payout.amount- Type
- integer
- Details
- example: 850000
- Description
Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).
- Name
eligible_for_payout.currency- Type
- string
- Details
- example: MXN
- Description
ISO currency code.
- Name
pending_fees_balance- Type
- object
- Description
Pending STP fees balance.
- Name
pending_fees_balance.amount- Type
- integer
- Details
- example: 25000
- Description
Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).
- Name
pending_fees_balance.currency- Type
- string
- Details
- example: MXN
- Description
ISO currency code.
- Name
to_reconcile- Type
- object
- Description
STP balance waiting for reconciliation.
- Name
to_reconcile.amount- Type
- integer
- Details
- example: 125000
- Description
Amount in minor currency units (e.g. cents for USD/MXN, pence for GBP).
- Name
to_reconcile.currency- Type
- string
- Details
- example: MXN
- Description
ISO currency code.
Get STP balance
Gets the current STP balance KPIs.
Request
curl -G https://api.cobrofacil.com/api/v1/stp/balance \
-H "Authorization: Bearer {token}"
Response
{
"data": {
"balance": {
"amount": 1000000,
"currency": "MXN"
},
"eligible_for_payout": {
"amount": 850000,
"currency": "MXN"
},
"pending_fees_balance": {
"amount": 25000,
"currency": "MXN"
},
"to_reconcile": {
"amount": 125000,
"currency": "MXN"
}
}
}
Create STP payout
Creates a payout transfer for the eligible STP balance. Each payout costs 6 MXN + VAT.
Request
curl https://api.cobrofacil.com/api/v1/stp/payout \
-H "Authorization: Bearer {token}"